<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC Driver Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">SOC Driver Error Codes<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the error codes which are generated by the CRC Driver module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2aa357eab507054b726ae16c31b2d63c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2aa357eab507054b726ae16c31b2d63c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga2aa357eab507054b726ae16c31b2d63c">SOC_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-1)</td></tr>
<tr class="memdesc:ga2aa357eab507054b726ae16c31b2d63c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga2aa357eab507054b726ae16c31b2d63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae4bffc7af4c61ae0410e9ac5f9c635f0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae4bffc7af4c61ae0410e9ac5f9c635f0">SOC_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-2)</td></tr>
<tr class="memdesc:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6ad9b25afcc2348e025fecde4fb8f869"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga6ad9b25afcc2348e025fecde4fb8f869">SOC_EINTERNAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-3)</td></tr>
<tr class="memdesc:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Internal error. <br /></td></tr>
<tr class="separator:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7faa30f4bc9db3fc8ed6c1d29b46b8bf">SOC_ENOSPACE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-4)</td></tr>
<tr class="memdesc:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Limits have been exceeded. <br /></td></tr>
<tr class="separator:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94aba5a877a380e5f1c726bcb13f2765"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga94aba5a877a380e5f1c726bcb13f2765"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga94aba5a877a380e5f1c726bcb13f2765">SOC_TRANSLATEADDR_INVALID</a>&#160;&#160;&#160;(0xFFFFFFFFU)</td></tr>
<tr class="memdesc:ga94aba5a877a380e5f1c726bcb13f2765"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: SOC_translateAddress couldn't translate the provided address This value is chosen since all other values can map to a valid address in some domain. <br /></td></tr>
<tr class="separator:ga94aba5a877a380e5f1c726bcb13f2765"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the error codes which are generated by the CRC Driver module. </p>
<p>Base error code for the SOC module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
